Skip to main content
`Ctrl`+`K`

# MatFactorSetSchurIS

Set indices corresponding to the Schur complement you wish to have computed

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorSetSchurIS(Mat mat, IS is)

Collective

## Input Parameters

- mat - the factored matrix

- is - the index set defining the Schur indices (0-based)

## Notes

Call `MatFactorSolveSchurComplement()` or `MatFactorSolveSchurComplementTranspose()` after this call to solve a Schur complement system.

You can call `MatFactorGetSchurComplement()` or `MatFactorCreateSchurComplement()` after this call.

This functionality is only supported for `MATSOLVERMUMPS` and `MATSOLVERMKL_PARDISO`

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatFactorGetSchurComplement()`, `MatFactorRestoreSchurComplement()`, `MatFactorCreateSchurComplement()`, `MatFactorSolveSchurComplement()`, `MatFactorSolveSchurComplementTranspose()`, `MATSOLVERMUMPS`, `MATSOLVERMKL_PARDISO`

## Level

advanced

## Location

src/mat/interface/matrix.c

## Implementations

MatFactorSetSchurIS_MUMPS() in src/mat/impls/aij/mpi/mumps/mumps.c
MatFactorSetSchurIS_MKL_PARDISO() in src/mat/impls/aij/seq/mkl_pardiso/mkl_pardiso.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages